This operation provides support for retrieving all the Versions of a Content Fragment. By default this call will return a maximum of 50 items.
The caller can define other limits suited to their application (see the limit query
parameter), but the limit cannot be higher than 50. To ask for the next set of items
pass the value of the cursor provided in the response to the cursor query parameter.
OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "items": [
- {
- "createdBy": "admin",
- "title": "1.0",
- "id": "4e6c78a1-67e0-430a-85c5-511a6458a666",
- "label": "a label",
- "comment": "a comment",
- "created": "2023-08-04T16:30:54.898+03:00",
- "modified": {
- "at": "2022-06-01T10:17:43.668-07:00",
- "by": "admin"
}
}
], - "cursor": "string"
}Request payload to create a content fragment version.
The Content Fragment Version was successfully created.
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "label": "first version",
- "comment": "v1"
}{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "path": "/content/dam/wknd-shared/en/contributors/ian-provo",
- "title": "Ian Provo",
- "description": "",
- "id": "6d980e6a-c9e7-444b-af43-5503c46a061c",
- "created": {
- "at": "2023-08-02T16:01:48.275+03:00",
- "by": "admin"
}, - "modified": {
- "at": "2023-08-04T14:51:58.597+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "Ian"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [
- "1988-09-26T14:09:00-07:00"
]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer",
- "Photographer"
]
}
], - "variations": [
- {
- "name": "another",
- "title": "Another",
- "description": "",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ]
}
], - "tags": [
- {
- "id": "wknd-shared:activity/social",
- "title": "Social",
- "i18n": [ ],
- "titlePath": "WKND Shared : Activity / Social",
- "name": "social",
- "path": "/content/cq:tags/wknd-shared/activity/social",
- "description": ""
}
], - "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "model": {
- "id": "L2NvbmYvd2tuZC1zaGFyZWQvc2V0dGluZ3MvZGFtL2NmbS9tb2RlbHMvYXV0aG9y",
- "path": "/conf/wknd-shared/settings/dam/cfm/models/author",
- "name": "Author",
- "title": "Author"
}, - "checkedOutBy": "user",
- "validationStatus": [ ],
- "fieldTags": [ ],
- "metadata": {
- "schemaId": "default",
- "fields": [
- {
- "name": "title",
- "type": "string",
- "value": "Ian Provo",
- "title": "Title"
}, - {
- "name": "description",
- "type": "string",
- "value": "Author profile",
- "title": "Description"
}
]
}
}| If-Match required | string The For more details, please head over to RFC9110. |
No Content
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation will replace the current version (named or not) of the indicated Content Fragment with the contents stored in the passed Version.
OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}